package main.java.com.ThreeDtest.application;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.SceneAntialiasing;
import javafx.scene.layout.BorderPane;

public class Main extends Application
{

	@Override
	public void start(Stage primaryStage)
	{
		try {

			BorderPane demoPane = new BorderPane(); // Pane for this demo
			primaryStage.setTitle("jFx3Dtest");
			Scene scene = new Scene(demoPane, 600, 600, true,
					SceneAntialiasing.BALANCED);

			//Create new Preview
			Texture3DPreview preview = new Texture3DPreview(500, 500);
			
			// Get the generated 3D preview as StackPane
			demoPane.setCenter(preview.getPreviewPane());

			/*
			 * 
			 * Slider resSlider = new Slider();
			 * 
			 * resSlider.setMin(0); resSlider.setMax(400); resSlider.setValue(200);
			 * resSlider.setBlockIncrement(10); resSlider.setShowTickLabels(true);
			 * resSlider.setShowTickMarks(true); resSlider.setMajorTickUnit(50);
			 * resSlider.setMinorTickCount(5); resSlider.setBlockIncrement(10);
			 * 
			 * // Adding Listener to value property.
			 * resSlider.valueProperty().addListener(new ChangeListener<Number>() {
			 * 
			 * @Override public void changed(ObservableValue<? extends Number>
			 * observable, // Number oldValue, Number newValue) {
			 * 
			 * System.out.println("New value: " + newValue); } });
			 * 
			 * BorderPane.setAlignment(resSlider, Pos.TOP_LEFT);
			 * BorderPane.setMargin(resSlider, new Insets(12, 12, 12, 12));
			 * demoPane.setBottom(resSlider);
			 * 
			 */

			primaryStage.setScene(scene);
			primaryStage.show();

		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args)
	{
		launch(args);
	}

}